=== debian/changelog ===
mysqmail (0.4.9-10.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to debhelper-compat (= 13).  (Closes: #965743)
  * Switch Priority to optional.
  * Add Pre-Depends: ${misc:Pre-Depends}.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Jan 2022 02:08:05 +0100

mysqmail (0.4.9-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing build-{arch,indep} targets and fix dpkg-buildpackage -A,
    thanks to Santiago Vila.  (Closes: #822006, #805952)
  * Switch Build-Depends to default-libmysqlclient-dev.
    (Closes: #845880, #790469)
  * Switch to source format 3.0 (quilt).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Jan 2017 17:53:31 +0100

mysqmail (0.4.9-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove dependency on libdotconf1.0 as it is unneeded and blocking
    the dotconf transistion (Closes: #733919)

 -- Paul Gevers <elbrus@debian.org>  Sat, 15 Feb 2014 13:41:15 +0100

mysqmail (0.4.9-10) unstable; urgency=low

  * Team upload.
  * Fix Danish PO file encoding (Closes: #659787).

 -- David Prévot <taffit@debian.org>  Wed, 12 Sep 2012 07:31:12 -0400

mysqmail (0.4.9-9) unstable; urgency=low

  * Really adds po files (Closes: #685842, #685701, #685554, #659787).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Sep 2012 09:56:23 +0000

mysqmail (0.4.9-8) unstable; urgency=low

  * Added Debconf translations thanks to:
  - nl: Jeroen Schot <schot@A-Eskwadraat.nl> (Closes: #685842).
  - pl: "Michał Kułach" <michalkulach@gmail.com> (Closes: #685701).
  - sk: Slavko <slavko@slavino.sk> (Closes: #685554).
  - da:  Joe Dalton <joedalton2@yahoo.dk> (Closes: #659787).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Sep 2012 05:50:19 +0000

mysqmail (0.4.9-7) unstable; urgency=low

  * Fixed the name of the PID file in mysqmail-dovecot-logger so that it
    matches the one of the init.d script (Closes: #599569).
  * Fixed the domain name string so that it logs correcly dovecot traffic
    (previously "):" was happened to the domain name) (Closes: #599570).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Oct 2010 11:43:09 +0000

mysqmail (0.4.9-6) unstable; urgency=low

  * Added in debian/*.init some Sould-Start: mysql, as otherwise, mysqmail
    starts before mysqld.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 Sep 2010 04:11:53 +0000

mysqmail (0.4.9-5) unstable; urgency=low

  * Reverted Danish debconf translation that wasn't for this package.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 Sep 2010 04:01:26 +0000

mysqmail (0.4.9-4) unstable; urgency=medium

  * Now using my @debian.org email address.
  * Apply patch from Marco Rodrigues to fix handling of configuration file
    in maintainer scripts (Closes: #591677).
  * Urgency medium due to RC bug fix
  * Added Danish debconf translation thanks to Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #583972).

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 Sep 2010 03:38:01 +0000

mysqmail (0.4.9-3) unstable; urgency=low

  * Maintainer scripts are now also working if DTC is not configured yet
    (Closes: #574227).

 -- Thomas Goirand <thomas@goirand.fr>  Wed, 24 Mar 2010 13:32:33 +0800

mysqmail (0.4.9-2) unstable; urgency=low

  * Now exiting silently if DTC is not fully configured (Closes: #566568).
  * Swedish update for the debconf template thanks to Martin Bagge
    <brother@bsnet.se> (Closes: #562927).
  * Added Italian debconf translation, thanks to Vincenzo Campanella
    <vinz65@gmail.com> (Closes: #556115).

 -- Thomas Goirand <thomas@goirand.fr>  Thu, 04 Mar 2010 15:09:45 +0800

mysqmail (0.4.9-1) unstable; urgency=low

  * New upstream version including some corrections to the man pages.
  * New Debian release including all the translation work. Special thanks to
    Christian Perrier for all his translation efforts in having all Debian in
    general, and this package today, translated in many language. Debian
    wouldn't be what it is now without people like Christian Perrier.
  * Added Italian debconf translation thanks Luca Monducci <luca.mo@tiscali.it>
    (Closes: #552218).
  * Added German debconf translation thanks to Chris Leick <c.leick@vollbio.de>
    (Closes: #550827).
  * Added Japanese debconf translation thanks to Hideki Yamane from the
    Debian-JP team <henrich@debian.or.jp> (Closes: #551021).
  * Added French debconf translation thanks to Christian Perrier
    <bubulle@debian.org> (Closes: #550813).
  * Added Russian debconf translation thanks to Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #550551).
  * Added Spanish debconf translation thanks to Francisco Javier Cuadrado
    <fcocuadrado@gmail.com> (Closes: #550501).
  * Added Finish debconf translation thanks to Esko Arajärvi <edu@iki.fi>
    (Closes: #549969).
  * Added Czech debconf translation thanks to Martin Šín <martin.sin@zshk.cz>
    (Closes: #549301).
  * Added Vietnamese debconf translation thanks to Clytie Siddall
    <clytie@riverland.net.au> (Closes: #548993).
  * Added Portuguese debconf translation thanks to Rui Branco of the Traduz
    (Portuguese Translation Team) <traduz@debianpt.org> (Closes: #548830).
  * Added Swedish debconf translation thanks to Martin Bagge <brother@bsnet.se>
    (Closes: #545735).
  * Bumped Standards-Version.

 -- Thomas Goirand <thomas@goirand.fr>  Fri, 16 Oct 2009 04:05:05 +0800

mysqmail (0.4.8-2) unstable; urgency=low

  * New templates and debian/control reviewed by the language team, thanks a
    lot to Christian Perrier <bubulle@debian.org> for his endless efforts.
    (Closes: #547141, #548697)
  * Reviewed the debian/*.init for dependencies (Closes: #545897).

 -- Thomas Goirand <thomas@goirand.fr>  Mon, 28 Sep 2009 17:20:57 +0800

mysqmail (0.4.8-1) unstable; urgency=low

  * New upstream release.
  * Updated the debian/*.init scripts for correct dependencies (Closes: #545897).

 -- Thomas Goirand <thomas@goirand.fr>  Thu, 10 Sep 2009 14:04:23 +0800

mysqmail (0.4.7-1) unstable; urgency=low


