=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch $@

build-arch: build
build-indep: build
build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	$(MAKE) strip
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

	# As per advice from Christian Perrier
	debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_prep
	install -D -m 0755 mysqmail-courier-logger   debian/mysqmail-courier-logger/usr/sbin/mysqmail-courier-logger
	install -D -m 0755 mysqmail-postfix-logger   debian/mysqmail-postfix-logger/usr/sbin/mysqmail-postfix-logger
	install -D -m 0755 mysqmail-pure-ftpd-logger debian/mysqmail-pure-ftpd-logger/usr/sbin/mysqmail-pure-ftpd-logger
	install -D -m 0755 mysqmail-dovecot-logger   debian/mysqmail-dovecot-logger/usr/sbin/mysqmail-dovecot-logger

# Build architecture-independent files here.
binary-indep: build install
	dh_link -i
	dh_installchangelogs -i doc/changelog
	dh_installdocs -i
	dh_installmenu -i
	dh_installdebconf -i
	dh_installinit -i
	dh_installman -i
	dh_strip -i
	dh_compress -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_link -a
	dh_installchangelogs -a doc/changelog
	dh_installdocs -a
	dh_installmenu -a
	dh_installdebconf -a
	dh_installinit -a
	dh_installman -a
	dh_strip -a
	dh_compress -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
